=== debian/control ===
Source: varconf
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libsigc++-2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/varconf.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/varconf.git

Package: libvarconf-1.0-7
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: WorldForge configuration file handling library
 Varconf is a configuration system designed for the STAGE server. Varconf
 can parse configuration files, command-line arguments and environment
 variables. It supports callbacks and can store its configuration
 information in separate Config objects or in one global configuration
 instance.
 .
 This package contains the shared libraries.

Package: libvarconf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libsigc++-2.0-dev,
         libvarconf-1.0-7 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libvarconf-1.0-dev
Conflicts: libvarconf-1.0-dev
Description: WorldForge configuration file handling library - development files
 Varconf is a configuration system designed for the STAGE server. Varconf
 can parse configuration files, command-line arguments and environment
 variables. It supports callbacks and can store its configuration
 information in separate Config objects or in one global configuration
 instance.
 .
 This package contains the development files for compiling applications and
 libraries depending on varconf.

Package: libvarconf-1.0-7-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libvarconf-1.0-7 (= ${binary:Version}),
         ${misc:Depends}
Description: WorldForge configuration file handling library - debugging libraries
 Varconf is a configuration system designed for the STAGE server. Varconf
 can parse configuration files, command-line arguments and environment
 variables. It supports callbacks and can store its configuration
 information in separate Config objects or in one global configuration
 instance.
 .
 This package contains the shared libraries with debugging symbols.
