## varconf 1.0.0

=== debian/changelog ===
varconf (1.0.0-2ubuntu1) xenial; urgency=medium

  * Mark one more symbol as optional. Closes: #805239.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2016 13:18:57 +0100

varconf (1.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Stephen M. Webb ]
  * debian/copyright: update dates

  [ Simon McVittie ]
  * Rename libvarconf-1.0-8 to libvarconf-1.0-8v5 for g++-5 transition.
    Based on Ubuntu patches from Steve Langasek and Daniel T Chen.
    (Closes: #791308)
    - Update symbols file (Closes: #778160)
    - Build-depend on the new ABI of libsigc++-2.0 so everything happens
      in the right order

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2015 21:01:52 +0100

varconf (1.0.0-1) unstable; urgency=low

  * new upstream release
  * bumped packaging name for new SONAME
  * debian/libvarconf-1.0-8.symbols: adjusted for symbol hiding
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/libvarconf-1.0-8.symbols: adjusted for GCC-4.8 (closes: #701369)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 05 Jun 2013 11:11:32 -0400
