=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libsigc++-2.0-dev
-Standards-Version: 3.9.3
+               libsigc++-2.0-dev (>= 2.4.1-2),
+Standards-Version: 3.9.4
 Homepage: http://www.worldforge.org/
-Vcs-Git: git://git.debian.org/git/pkg-games/varconf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/varconf.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/varconf.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-games/varconf.git
 
-Package: libvarconf-1.0-7
+Package: libvarconf-1.0-8v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libvarconf-1.0-8
+Replaces: libvarconf-1.0-8
 Description: WorldForge configuration file handling library
  Varconf is a configuration system designed for the STAGE server. Varconf
  can parse configuration files, command-line arguments and environment
@@ -32,7 +34,7 @@
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: libsigc++-2.0-dev,
-         libvarconf-1.0-7 (= ${binary:Version}),
+         libvarconf-1.0-8v5 (= ${binary:Version}),
          ${misc:Depends}
 Replaces: libvarconf-1.0-dev
 Conflicts: libvarconf-1.0-dev
@@ -46,14 +48,16 @@
  This package contains the development files for compiling applications and
  libraries depending on varconf.
 
-Package: libvarconf-1.0-7-dbg
+Package: libvarconf-1.0-8v5-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: libvarconf-1.0-7 (= ${binary:Version}),
+Depends: libvarconf-1.0-8v5 (= ${binary:Version}),
          ${misc:Depends}
+Conflicts: libvarconf-1.0-8-dbg
+Replaces: libvarconf-1.0-8-dbg
 Description: WorldForge configuration file handling library - debugging libraries
  Varconf is a configuration system designed for the STAGE server. Varconf
  can parse configuration files, command-line arguments and environment
