=== debian/watch ===
version=3
http://sf.net/worldforge/varconf-(.*)\.tar\.gz debian uupdate
