## varconf 1.0.1

=== debian/changelog ===
varconf (1.0.1-8) unstable; urgency=high

  * Force build with C++11 standard to fix FTBFS (Closes: #984384)
  * Update standards to 4.6.0 (no changes)
  * Update d/upstream/metadata

 -- Olek Wojnar <olek@debian.org>  Fri, 19 Nov 2021 10:53:33 -0500

varconf (1.0.1-7) unstable; urgency=medium

  * Remove d/symbols due to continued instability (Closes: #957906)
  * Update compatibility mode to 13 (remove d/compat)
  * Update standards to 4.5.0 (no changes)
  * Add Rules-Requires-Root: no

 -- Olek Wojnar <olek@debian.org>  Fri, 31 Jul 2020 20:37:02 -0400

varconf (1.0.1-6) unstable; urgency=high

  * Update d/control: new uploader email and URLs
  * Update d/copyright: refresh debian info
  * Update d/control: remove versioned build dependency on g++
  * Update symbols for GCC-8 (Closes: #897883)
  * Update d/control: standards 4.2.1 (no changes)
  * Update d/compat: 11 (no changes)
  * Remove d/triggers: redundant trigger
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/control: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Wed, 03 Oct 2018 18:36:39 -0400

varconf (1.0.1-5) unstable; urgency=medium

  * Build-depend on g++ >= 4:7 for GCC 7 compliance

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 05 Sep 2017 13:10:35 -0500

varconf (1.0.1-4) unstable; urgency=high

  * Update dh compat to 10
  * Update symbols for GCC 7 (Closes: #853388)
  * Update standards to 4.1.0
    - d/control: document new standards version
    - d/copyright: use https in Format field
  * Update d/copyright: new copyright year for debian directory

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 02 Sep 2017 22:01:28 -0500

varconf (1.0.1-3) unstable; urgency=high

  * Update symbols for GCC6 (Closes: #831212)

 -- Olek Wojnar <olek-dev@wojnar.org>  Thu, 14 Jul 2016 19:20:47 -0400

varconf (1.0.1-2) unstable; urgency=medium

  * Fix d/control Vcs-Git line

 -- Olek Wojnar <olek-dev@wojnar.org>  Fri, 24 Jun 2016 16:44:13 -0400

varconf (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Update d/control
    - Fix Vcs-Browser line (Thanks to Tobias Frost)
    - Remove pre-dependency on dpkg
    - Update standards to 3.9.8 (no changes)
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * Update symbols (Closes: #805239)
  * Update d/watch: add file extensions potentially used by upstream
  * Update d/rules: remove builddeb override since xz is now default
  * Add d/triggers for proper ldconfig functionality
  * Enable all hardening options
  * Convert to automatic debug package

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 11 Jun 2016 20:52:12 -0500
