=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Version 1.0.1 does not build correctly using the C++17 standard
export DEB_CPPFLAGS_MAINT_APPEND = -std=c++11
%:
	dh $@

override_dh_missing:
	dh_missing -X.la -X.a
