=== debian/watch ===
version=4
http://sf.net/worldforge/varconf-(.*)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
